Sobre o conteúdo de segurança do OS X El Capitan 10.11.1, da Atualização de Segurança 2015-004 Yosemite e da Atualização de Segurança 2015-007 Mavericks

Este documento descreve o conteúdo de segurança do OS X El Capitan 10.11.1, da Atualização de Segurança 2015-004 Yosemite e da Atualização de Segurança 2015-007 Mavericks.

Para garantir a proteção de nossos clientes, a Apple não divulga, discute ou confirma problemas de segurança até que uma investigação completa seja conduzida e qualquer correção ou versão necessária esteja disponível. Para saber mais sobre a Segurança do Produto Apple, consulte o site sobre segurança do produto Apple.

Para obter informações sobre a Chave PGP de Segurança do Produto Apple, consulte o artigo Como usar a Chave PGP de Segurança do Produto Apple.

Sempre que possível, serão usados IDs de CVE para indicar vulnerabilidades e permitir que o usuário obtenha mais informações.

Para saber mais sobre outras atualizações de segurança, consulte o artigo Atualizações de segurança da Apple.

OS X El Capitan 10.11.1, Atualização de Segurança 2015-004 Yosemite e Atualização de Segurança 2015-007 Mavericks

  • Accelerate Framework

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: acessar um site criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia um problema de memória corrompida no Accelerate Framework no modo multithreading. Esse problema foi resolvido por meio de melhorias na validação de elementos do assessor e no bloqueio de objetos.

    ID de CVE

    CVE-2015-5940: Apple

  • apache_mod_php

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: várias vulnerabilidades no PHP

    Descrição: havia várias vulnerabilidades nas versões do PHP anteriores às versões 5.5.29 e 5.4.45. Esses problemas foram resolvidos com a atualização do PHP para as versões 5.5.29 e 5.4.45.

    ID de CVE

    CVE-2015-0235

    CVE-2015-0273

    CVE-2015-6834

    CVE-2015-6835

    CVE-2015-6836

    CVE-2015-6837

    CVE-2015-6838

  • ATS

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: acessar um site criado com códigos maliciosos pode causar o encerramento inesperado de aplicativos ou a execução arbitrária de códigos

    Descrição: havia um problema de memória corrompida no ATS. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-6985: John Villamil (@day6reak) da Yahoo Pentest Team

  • Áudio

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode causar a execução arbitrária de códigos

    Descrição: havia um problema de memória não inicializada no coreaudiod. Esse problema foi resolvido por meio de melhorias na inicialização da memória.

    ID de CVE

    CVE-2015-7003: Mark Brand do Google Project Zero

  • Áudio

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: reproduzir um arquivo de áudio malicioso pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de áudio. Esses problemas foram resolvidos por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-5933: Apple

    CVE-2015-5934: Apple

  • Bom

    Disponível para: OS X El Capitan 10.11

    Impacto: descompactar um arquivo criado com códigos maliciosos pode resultar na execução arbitrária de códigos

    Descrição: havia uma vulnerabilidade transversal de arquivos no processamento de arquivos CPIO. Esse problema foi resolvido por meio de melhorias na validação de metadados.

    ID de CVE

    CVE-2015-7006: Mark Dowd da Azimuth Security

  • CFNetwork

    Disponível para: OS X El Capitan 10.11

    Impacto: acessar um site criado com códigos maliciosos pode causar a substituição de cookies

    Descrição: havia um problema de análise ao processar cookies com letras de capitalização diferente. Esse problema foi resolvido por meio de melhorias na análise.

    ID de CVE

    CVE-2015-7023: Marvin Scholz e Michael Lutonsky; Xiaofeng Zheng e Jinjin Liang da Tsinghua University; Jian Jiang da Universidade da Califórnia, Berkeley; Haixin Duan da Tsinghua University e do International Computer Science Institute; Shuo Chen da Microsoft Research Redmond; Tao Wan da Huawei Canada; Nicholas Weaver do International Computer Science Institute e da Universidade da Califórnia, Berkeley, com coordenação do CERT/CC

  • configd

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode aumentar privilégios

    Descrição: havia problema de sobrecarga de buffer com base em heap na biblioteca do cliente DNS. Um aplicativo malicioso capaz de falsificar respostas do serviço configd local pode ter causado a execução arbitrária de códigos em clientes DNS.

    ID de CVE

    CVE-2015-7015: PanguTeam

  • CoreGraphics

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: acessar um site criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no CoreGraphics. Esses problemas foram resolvidos por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-5925: Apple

    CVE-2015-5926: Apple

  • CoreText

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-6992: John Villamil (@day6reak) da Yahoo Pentest Team

  • CoreText

    Disponível para: OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-6975: John Villamil (@day6reak) da Yahoo Pentest Team

  • CoreText

    Disponível para: OS X El Capitan 10.11

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-7017: John Villamil (@day6reak) da Yahoo Pentest Team

  • CoreText

    Disponível para: OS X Mavericks 10.9.5 e OS X Yosemite 10.10.5

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-5944: John Villamil (@day6reak) do Yahoo Pentest Team

  • Utilitário do Diretório

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um usuário local pode causar a execução arbitrária de códigos com privilégios raiz

    Descrição: havia um problema de autenticação ao estabelecer novas sessões. Esse problema foi resolvido por meio de melhorias nas verificações de autorização.

    ID de CVE

    CVE-2015-6980: Michael da Westside Community Schools

  • Imagens de disco

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode causar a execução arbitrária de códigos com privilégios de sistema

    Descrição: havia um problema de memória corrompida na análise de imagens de disco. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-6995: Ian Beer do Google Project Zero

  • EFI

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um invasor pode exercer funções de EFI não utilizadas

    Descrição: havia um problema no gerenciamento de argumentos do EFI. Esse problema foi resolvido por meio da remoção das funções afetadas.

    ID de CVE

    CVE-2014-4860: Corey Kallenberg, Xeno Kovah, John Butterworth e Sam Cornwell da MITRE Corporation, com coordenação do CERT

  • Favorito de arquivo

    Disponível para: OS X El Capitan 10.11

    Impacto: navegar em uma pasta com favoritos inválidos pode causar o encerramento inesperado de aplicativos

    Descrição: havia um problema na validação de entrada na análise dos metadados de favoritos. Esse problema foi resolvido por meio de melhorias nas verificações de validação.

    ID de CVE

    CVE-2015-6987: Luca Todesco (@qwertyoruiop)

  • FontParser

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-5927: Apple

    CVE-2015-5942

    CVE-2015-6976: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-6977: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-6978: Jaanus Kp da Clarified Security em parceria com a Zero Day Initiative da HP

    CVE-2015-6991: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-6993: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-7009: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-7010: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-7018: John Villamil (@day6reak) da Yahoo Pentest Team

  • FontParser

    Disponível para: OS X El Capitan 10.11

    Impacto: processar um arquivo de fonte criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no processamento de arquivos de fonte. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-6990: John Villamil (@day6reak) da Yahoo Pentest Team

    CVE-2015-7008: John Villamil (@day6reak) da Yahoo Pentest Team

  • Grand Central Dispatch

    Disponível para: OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: o processamento de um pacote criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia um problema de memória corrompida no processamento de ligações de remessa. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-6989: Apple

  • Drivers de placas gráficas

    Disponível para: OS X El Capitan 10.11

    Impacto: um usuário local pode causar o encerramento inesperado do sistema ou ler a memória do kernel

    Descrição: havia diversos problemas de leitura fora dos limites no driver da placa gráfica NVIDIA. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-7019: Ian Beer do Google Project Zero

    CVE-2015-7020: Moony Li da Trend Micro

  • Drivers de placas gráficas

    Disponível para: OS X El Capitan 10.11

    Impacto: um usuário local pode causar a execução arbitrária de códigos com privilégios de kernel

    Descrição: havia um problema de memória corrompida no kernel. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-7021: Moony Li da Trend Micro

  • ImageIO

    Disponível para: OS X Mavericks 10.9.5 e OS X Yosemite 10.10.5

    Impacto: processar um arquivo de imagem criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida na análise dos metadados de imagem. Esses problemas foram resolvidos por meio de melhorias na validação de metadados.

    ID de CVE

    CVE-2015-5935: Apple

    CVE-2015-5938: Apple

  • ImageIO

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: processar um arquivo de imagem criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida na análise dos metadados de imagem. Esses problemas foram resolvidos por meio de melhorias na validação de metadados.

    ID de CVE

    CVE-2015-5936: Apple

    CVE-2015-5937: Apple

    CVE-2015-5939: Apple

  • IOAcceleratorFamily

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode causar a execução arbitrária de códigos com privilégios de sistema

    Descrição: havia um problema de memória corrompida no IOAcceleratorFamily. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-6996: Ian Beer do Google Project Zero

  • IOHIDFamily

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode executar códigos arbitrários com privilégios de kernel

    Descrição: havia um problema de memória corrompida no kernel. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-6974: Luca Todesco (@qwertyoruiop)

  • Kernel

    Disponível para: OS X Yosemite 10.10.5

    Impacto: um usuário local pode causar a execução arbitrária de códigos com privilégios de sistema

    Descrição: havia um problema de confusão de tipos na validação de tarefas de Mach. Esse problema foi resolvido por meio de melhorias na validação de tarefas de Mach.

    ID de CVE

    CVE-2015-5932: Luca Todesco (@qwertyoruiop) e Filippo Bigarella

  • Kernel

    Disponível para: OS X El Capitan 10.11

    Impacto: um invasor em uma posição de rede privilegiada pode causar a execução arbitrária de códigos

    Descrição: havia um problema de memória não inicializada no kernel. Esse problema foi resolvido por meio de melhorias na inicialização da memória.

    ID de CVE

    CVE-2015-6988: The Brainy Code Scanner (m00nbsd)

  • Kernel

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo local pode causar uma negação de serviço

    Descrição: havia um problema ao reutilizar a memória virtual. Esse problema foi resolvido por meio de melhorias na validação.

    ID de CVE

    CVE-2015-6994: Mark Mentovai do Google Inc.

  • libarchive

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode sobrescrever arquivos arbitrariamente

    Descrição: havia um problema na lógica de validação de caminho para links simbólicos. Esse problema foi resolvido por meio de melhorias na limpeza do caminho.

    ID de CVE

    CVE-2015-6984: Christopher Crone da Infinit e Jonathan Schleifer

  • Restrições do aplicativo MCX

    Disponível para: OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um executável assinado por desenvolvedores pode adquirir direitos restritos

    Descrição: havia um problema de validação de direito na Configuração Gerenciada. Um app assinado por desenvolvedores podia driblar restrições sobre o uso de direitos restritos e aumentar privilégios. Esse problema foi resolvido por meio de melhorias na validação dos perfis de provisão.

    ID de CVE

    CVE-2015-7016: Apple

  • mDNSResponder

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um invasor remoto pode causar o encerramento inesperado de aplicativos ou a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida na análise de dados DNS. Esses problemas foram resolvidos por meio de melhorias na verificação de limites.

    ID de CVE

    CVE-2015-7987: Alexandre Helie

  • mDNSResponder

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo local pode causar uma negação de serviço

    Descrição: um problema de cancelamento de referência de ponteiro nulo foi resolvido por meio de melhorias no gerenciamento da memória.

    ID de CVE

    CVE-2015-7988: Alexandre Helie

  • Net-SNMP

    Disponível para: OS X El Capitan 10.11

    Impacto: um invasor em uma posição de rede privilegiada pode causar uma negação de serviço

    Descrição: havia vários problemas na versão 5.6 do netsnmp. Esses problemas foram resolvidos por meio de correções que afetam o OS X de um ponto anterior.

    ID de CVE

    CVE-2012-6151

    CVE-2014-3565

  • OpenGL

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: acessar um site criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia um problema de memória corrompida no OpenGL. Esse problema foi resolvido por meio de melhorias no processamento da memória.

    ID de CVE

    CVE-2015-5924: Apple

  • OpenSSH

    Disponível para: OS X El Capitan 10.11

    Impacto: um usuário local pode realizar ataques de personificação

    Descrição: havia um problema de separação de privilégios no suporte de PAM. Esse problema foi resolvido por meio de melhorias na verificação de autorizações.

    ID de CVE

    CVE-2015-6563: Moritz Jodeit da Blue Frost Security GmbH

  • Área restrita

    Disponível para: OS X El Capitan 10.11

    Impacto: um usuário local pode causar a execução arbitrária de códigos com privilégios de kernel

    Descrição: havia um problema de validação de entrada no processamento de parâmetros NVRAM. Esse problema foi resolvido por meio de melhorias na validação.

    ID de CVE

    CVE-2015-5945: Rich Trouton (@rtrouton), Howard Hughes Medical Institute, Apple

  • Editor de Scripts

    Disponível para: OS X El Capitan 10.11

    Impacto: um invasor pode induzir um usuário a executar um AppleScript arbitrariamente

    Descrição: em alguns casos, o Editor de Script não solicitou confirmação do usuário antes de executar AppleScripts. Esse problema foi resolvido com a solicitação da confirmação do usuário antes de executar AppleScripts.

    ID de CVE

    CVE-2015-7007: Joe Vennix

  • Segurança

    Disponível para: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5 e OS X El Capitan 10.11

    Impacto: um binário assinado pela Apple pode ser usado para carregar arquivos arbitrários

    Descrição: alguns executáveis assinados pela Apple carregavam aplicativos de locais relacionados. Esse problema foi resolvido por meio de verificações adicionais no Gatekeeper.

    ID de CVE

    CVE-2015-7024: Patrick Wardle da Synack

  • Segurança

    Disponível para: OS X El Capitan 10.11

    Impacto: processar um certificado criado com códigos maliciosos pode causar a execução arbitrária de códigos

    Descrição: havia vários problemas de memória corrompida no decodificador ASN.1. Esses problemas foram resolvidos por meio de melhorias na validação de entradas.

    ID de CVE

    CVE-2015-7059: David Keeler da Mozilla

    CVE-2015-7060: Tyson Smith da Mozilla

    CVE-2015-7061: Ryan Sleevi da Google

  • Segurança

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode sobrescrever arquivos arbitrariamente

    Descrição: havia um problema do tipo "double free" durante o processamento de descritores AtomicBufferedFile. Esse problema foi resolvido por meio de melhorias na validação de descritores AtomicBufferedFile.

    ID de CVE

    CVE-2015-6983: David Benjamin, Greg Kerr, Mark Mentovai e Sergey Ulanov da Chrome Team

  • SecurityAgent

    Disponível para: OS X El Capitan 10.11

    Impacto: um aplicativo malicioso pode controlar as solicitações de acesso às chaves

    Descrição: havia um método para que aplicativos criassem cliques artificiais na solicitação das chaves. Esse problema foi resolvido ao desativar os cliques artificiais das janelas de acesso às chaves.

    ID de CVE

    CVE-2015-5943

O OS X El Capitan 10.11.1 inclui o conteúdo de segurança do Safari 9.0.1.

As Atualizações de Segurança 2015-004 e 2015-007 são recomendadas para todos os usuários e aumentam a segurança do OS X.

As informações sobre produtos não fabricados pela Apple, ou sites independentes não controlados nem testados pela Apple, são fornecidas sem recomendação ou endosso. A Apple não assume responsabilidade alguma com relação à escolha, ao desempenho ou ao uso de sites ou produtos de terceiros. A Apple não garante a precisão nem a confiabilidade de sites de terceiros. Os riscos são inerentes ao uso da internet. Entre em contato com o fornecedor para obter mais informações. Nomes de outras empresas e produtos podem ser marcas registradas de seus respectivos proprietários.

Data da publicação: